import request from '@/utils/request'

// 查询用章申请列表
export function listSeal(query) {
  return request({
    url: '/offcial/seal/list',
    method: 'get',
    params: query
  })
}

// 查询用章申请详细
export function getSeal(id) {
  return request({
    url: '/offcial/seal/' + id,
    method: 'get'
  })
}

// 新增用章申请
export function addSeal(data) {
  return request({
    url: '/offcial/seal',
    method: 'post',
    data: data
  })
}

// 修改用章申请
export function updateSeal(data) {
  return request({
    url: '/offcial/seal',
    method: 'put',
    data: data
  })
}

// 删除用章申请
export function delSeal(id) {
  return request({
    url: '/offcial/seal/' + id,
    method: 'delete'
  })
}
